<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Flexbox</title>
  <link rel="stylesheet" href="style-START.css">
</head>
<body>

  <h2>Propiedad contenedor: <span class="monotype">flex-direction</span></h2>
  <div class="flex-container flex-direction">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad <span class="monotype">flex-wrap</span></h2>
  <div class="flex-container flex-wrap">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">flex-flow</span></h2>
  <div class="flex-container flex-flow">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">justify-content</span></h2>
  <div class="flex-container justify-content">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">align-items</span></h2>
  <div class="flex-container align-items">
    <div class="flex-item">A<br>A</div>
    <div class="flex-item">B<br>B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D<br>D</div>
    <div class="flex-item">E<br>E</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">align-content</span></h2>
  <div class="flex-container align-content">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
    <div class="flex-item">F</div>
    <div class="flex-item">G</div>
    <div class="flex-item">H</div>
    <div class="flex-item">I</div>
    <div class="flex-item">J</div>
    <div class="flex-item">K</div>
    <div class="flex-item">L</div>
    <div class="flex-item">M</div>
    <div class="flex-item">N</div>
  </div>

  <hr>

  <h2>Propiedad elementos: <span class="monotype">order</span></h2>
  <div class="flex-container order">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">flex-grow</span></h2>
  <div class="flex-container flex-grow">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">flex-shrink</span></h2>
  <div class="flex-container flex-shrink">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">flex-basis</span></h2>
  <div class="flex-container flex-basis">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">flex</span></h2>
  <div class="flex-container flex">
    <div class="flex-item">A</div>
    <div class="flex-item">B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D</div>
    <div class="flex-item">E</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">align-self</span></h2>
  <div class="flex-container align-self">
    <div class="flex-item">A<br>A</div>
    <div class="flex-item">B<br>B</div>
    <div class="flex-item">C</div>
    <div class="flex-item">D<br>D</div>
    <div class="flex-item">E<br>E</div>
  </div>

</body>
</html>
